%define name	gphoto2
%define version	2.4.0
%define release	%mkrel 1

%define extraversion %nil

Summary:	Command line utilities to access digital cameras
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL+
Group:		Graphics
Source0:	http://heanet.dl.sourceforge.net/sourceforge/gphoto/%{name}-%{version}%{?extraversion:%extraversion}.tar.bz2
Url:		http://sourceforge.net/projects/gphoto/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Conflicts:	libgphoto2 < 2.1.1
Requires:	libgphoto-hotplug
BuildRequires:	glib-devel libusb-devel >= 0.1.6 zlib-devel findutils perl
BuildRequires:	libgphoto-devel >= 2.1.99
BuildRequires:	libexif-devel libaa-devel libcdk-devel
BuildRequires:	libpopt-devel readline-devel libjpeg-devel

%description
The gPhoto2 project is a universal, free application and library
framework that lets you download images from several different
digital camera models, including the newer models with USB
connections. Note that
a) for some older camera models you must use the old "gphoto" package.
b) for USB mass storage models you must use the driver in the kernel.

This package contains the command-line utility gphoto2.

%prep
%setup -q -n %{name}-%{version}%{?extraversion:%extraversion}
rm -rf ${RPM_BUILD_DIR}/%{name}

%build
%configure2_5x
%make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%doc NEWS ChangeLog README TODO
%{_mandir}/*/*


%changelog
* Fri Aug 03 2007 Adam Williamson <awilliamson@mandriva.com> 2.4.0-1mdv2008.0
+ Revision: 58526
- drop old obsoletes / provides hackgphoto2 (it's been long enough)
- correct license (it's GPL not LGPL, whatever the template spec says) and use Fedora license policy
- spec clean
- new release 2.4.0

* Wed Jun 13 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.3.1-2mdv2008.0
+ Revision: 38595
- Rebuild with libslang2.
- Small cleanups.


* Sat Dec 30 2006 Pascal Terjan <pterjan@mandriva.org> 2.3.1-1mdv2007.0
+ Revision: 102841
- 2.3.1

* Mon Dec 18 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.3.0-1mdv2007.1
+ Revision: 98462
- 2.3.0

* Tue Dec 05 2006 Jérôme Soyer <saispo@mandriva.org> 2.2.0-3mdv2007.1
+ Revision: 91035
- Import gphoto2

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.2.0-3mdv2007.0
- Rebuild

* Mon Jul 03 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.2.0-2mdv2007.0
- fix buildrequires
- fix macro-in-%%changelog
- fix prereq-use
- clean %%doc
- fix mixed-use-of-spaces-and-tabs

* Sat Jul 01 2006 Till Kamppeter <till@mandriva.com> 2.2.0-1mdv2007.0
- Updated to GPhoto2 2.2.0.

* Wed May 17 2006 Till Kamppeter <till@mandriva.com> 2.1.99-3mdk
- Added versioned "BuildRequires: libgphoto-devel >= 2.1.99", as
  gphoto2 2.1.99 does not work with older versions of libgphoto2.

* Mon May 15 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.1.99-2mdk
- add BuildRequires: libpopt-devel

* Fri May 12 2006 Till Kamppeter <till@mandriva.com> 2.1.99-1mdk
- Updated to GPhoto2 2.1.99.
- Introduced %%mkrel.

* Sat Sep 03 2005 Olivier Blin <oblin@mandriva.com> 2.1.6-3mdk
- drop hotplug requirement, libgphoto-hotplug requires udev

* Tue Jun 28 2005 Till Kamppeter <till@mandriva.com> 2.1.6-2mdk
- Updated to GPhoto2 2.1.6.

* Fri Apr 01 2005 Till Kamppeter <till@mandrakesoft.com> 2.1.5-3mdk
- Added "Requires: libgphoto-hotplug" (bug 15135).

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.1.5-2mdk
- rebuild for new readline
- get rid of comments stating the obvious

* Thu Dec 16 2004 Till Kamppeter <till@mandrakesoft.com> 2.1.5-1mdk
- Updated to GPhoto2 2.1.5.

* Sat Nov 27 2004 Till Kamppeter <till@mandrakesoft.com> 2.1.5-0.rc1.1mdk
- Updated to GPhoto2 2.1.5rc1.

* Sat Jul 24 2004 Marcel Pol <mpol@mandrake.org> 2.1.4-2mdk
- build against new slang

* Fri Jan 23 2004 Till Kamppeter <till@mandrakesoft.com> 2.1.4-1mdk
- Updated to GPhoto2 2.1.4.

* Wed Jan 14 2004 Till Kamppeter <till@mandrakesoft.com> 2.1.4-0.pre1.1mdk
- Updated to GPhoto2 2.1.4pre1.

